org.eclnt.jsfserver.util

## Class StackedValueKeeper

- java.lang.Object
- - org.eclnt.jsfserver.util.StackedValueKeeper

- All Implemented Interfaces:
    java.io.Serializable

      public class StackedValueKeeper
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `StackedValueKeeper.PickResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.Thread,StackedValueKeeper>` | `s_instances`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackedValueKeeper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(java.lang.Object value, int nameId, int level)`
    `void` | `clearStack()`
    `static java.lang.Integer` | `getIdForName(java.lang.String name)`
    `static StackedValueKeeper` | `getInstance()`
    `static java.lang.String` | `getUniqueNameForId(java.lang.Integer id, java.lang.String name)` For each id one and only one String is kept.
    `StackedValueKeeper.PickResult` | `pickValueById(int[] nameIds, java.lang.String[] names)`
    `void` | `renderingBegins()`
    `void` | `renderingEnds()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### s_instances

          public static java.util.Map<java.lang.Thread,StackedValueKeeper> s_instances

  - ### Constructor Detail

    - #### StackedValueKeeper

          public StackedValueKeeper()

  - ### Method Detail

    - #### getIdForName

          public static java.lang.Integer getIdForName(java.lang.String name)

    - #### getUniqueNameForId

          public static java.lang.String getUniqueNameForId(java.lang.Integer id,
                                                            java.lang.String name)

      For each id one and only one String is kept.

    - #### getInstance

          public static StackedValueKeeper getInstance()

    - #### pickValueById

          public StackedValueKeeper.PickResult pickValueById(int[] nameIds,
                                                             java.lang.String[] names)

    - #### renderingBegins

          public void renderingBegins()

    - #### renderingEnds

          public void renderingEnds()

    - #### clearStack

          public void clearStack()

    - #### addValue

          public void addValue(java.lang.Object value,
                               int nameId,
                               int level)

Copyright © CaptainCasa Gmbh. All Rights Reserved.